
import java.io.*;
class leer
{
    public static void main(String ars[])throws IOException
    {
    	int fin=41;
    	int con=0;
    	while(fin!=0){
    		BufferedReader archivo=new BufferedReader(new InputStreamReader(System.in));
    		String fichero;
    		System.out.println("Escribe el nombre completo o ruta del archivo [.java]: ");
    		fichero=archivo.readLine();
    		fichero=fichero.trim();

    		int es=0;
    		if (fichero.length()==0)
    			System.out.println("No se escribio el nombre del archivo");

    		else
    		{
    			File nuevo;
    			nuevo=new File(fichero);
    			if (nuevo.exists())    
    			{    
    				BufferedReader reader= new BufferedReader(new FileReader(fichero)); 
    				//leer una linea del archivo y guardarla en linea
    				String linea= reader.readLine(); 
    				while(linea!=null ) 
    				{
    					if (linea.trim().length()==0)
    					{
    						linea=reader.readLine();
    					}
    					else
    					{
        
    						if (linea.trim().startsWith("//"))
    						{
    							linea=reader.readLine();    
    						}
    						
    						else
    						{
    							if(linea.trim().startsWith("/"))
    							{
    								es=1;
    							}
    							if(linea.trim().endsWith("/")){
    								es=0;
                        
    								linea=reader.readLine();
    							}
    							else
    							{            
    								if (es==1)
    								{
    									linea=reader.readLine();
    								}
    								else
    								{
    									con++;
    									linea= reader.readLine();
    								}
    							}
    						}
                
    					}
    				}          
    			}
    			else
    			{
    				System.out.println("El archivo no existe");
    			}
    		}
    		 fin--;
    	}
    	System.out.println("El archivo tiene "+(con) +" lineas ");  
    }
     
}
